This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 14298 - <track> webvtt parser step 31 "If line is the empty string, then discard cue and jump to the step labeled end." is redundant with step 34.
Summary: <track> webvtt parser step 31 "If line is the empty string, then discard cue ...
Status: RESOLVED FIXED
Alias: None
Product: WHATWG
Classification: Unclassified
Component: HTML (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: Unsorted
Assignee: Ian 'Hixie' Hickson
QA Contact: contributor
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-27 09:15 UTC by contributor
Modified: 2012-07-18 18:47 UTC (History)
4 users (show)

See Also:


Attachments

Description contributor 2011-09-27 09:15:22 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/complete/the-iframe-element.html
Multipage: http://www.whatwg.org/C#parsing-0
Complete: http://www.whatwg.org/c#parsing-0

Comment:
<track> webvtt parser step 31 "If line is the empty string, then discard cue
and jump to the step labeled end." is redundant with step 34.

Posted from: 2001:4c28:a030:30:223:32ff:fec2:96fa by simonp@opera.com
User agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_5_8) AppleWebKit/535.2 (KHTML, like Gecko) Chrome/15.0.874.21 Safari/535.2
Comment 1 Ian 'Hixie' Hickson 2011-10-02 16:48:02 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: No, if the line is empty but the file is not (i.e. the next character is a CR or LF) then 31 will happen but 34 would not.
Comment 2 Philip J├Ągenstedt 2011-10-11 14:53:14 UTC
In step 19, any number of CR/LF characters are consumed. In step 30, any number of characters that are not CR/LF are consumed into line, so if line is empty, we must be at the end of the input. If so, steps 32-34 will do the same thing as step 31.
Comment 3 Ian 'Hixie' Hickson 2011-10-11 22:38:13 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: see diff given below
Rationale: You're right, my bad. I'll move steps 19 and 31 closer together so that's more obvious.
Comment 4 contributor 2011-10-11 22:38:42 UTC
Checked in as WHATWG revision r6659.
Check-in comment: simplify the parser a little to avoid a redundant step and make it clear why it's redundant
http://html5.org/tools/web-apps-tracker?from=6658&to=6659